HomeGuidesAPI ReferenceGuidesMRT APIConfiguration API
GitHubAirheads Developer Community
API Reference

List of sites with health overview

This API endpoint provides a list of health information for each site, including devices, clients, critical alerts with count, along with their respective health and health reasons.

Tip: To retrieve the siteId for a known site name, use the filter query parameter (e.g., filter=siteName eq 'my-site') to look up the siteId.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
int32
≤ 1000
Defaults to 100

Specifies the number of sites to be returned per request. Maximum limit per request is 1000.

int32
Defaults to 0

Defines the starting point for the set of sites to be returned. Number of sites to skip before starting to collect the result set.

string
length ≤ 256

OData Version 4.0 filter string (limited functionality). Supports only 'and' conjunction; ('or' and 'not' are NOT supported). Supported fields and operators are in the below given table.

FieldOperators
siteIdeq and in
siteNameeq and in

The operators are implemented as follows:

  • eq: Only values exactly matching the given value are returned.

  • in: Only values present in the given list are returned.

string
length ≤ 256
Defaults to siteName ASC

Sort field followed by a direction indicator ASC (ascending) or DESC (descending). Supported fields are siteName, siteHealth, deviceHealth, clientHealth

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json